## R version should be at least 4
## if not, results based on random numbers will be different

## store current RNG settings
RNGsettings <- RNGkind()
## set RNG settings for sampling
RNGkind(sample.kind = "Rejection")

require(SOAs)
GSOA81 <- OSOAs(L27.3.4, optimize=FALSE)
set.seed(8278)
for (l in 26:0){
  repla <- sample((l*3):((l+1)*3-1))
  for (i in 1:4)
    GSOA81[which(GSOA81[,i]==l),i] <- repla
}
## el=4, t=3

system.time(pat27 <- Spattern(OSOAs(L27.3.4, optimize=FALSE), s=3, maxwt=NULL))
## run time about 32 seconds with version 1.4 (was 65 seconds with version 1.3)
system.time(pat81 <- Spattern(GSOA81, s=3, maxwt=NULL))
## run time about 3134 seconds with version 1.4 (was 6900 or 6700 seconds with version 1.3)
#save(GSOA81, pat81, pat27, file="GSOA81seed8278.RData")

RNGkind(sample.kind = RNGsettings[3])  ## reinstate old status

